Package ru.bitel.bgbilling.modules.inet.common.bean

# Class InetServ

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
ru.bitel.oss.kernel.entity.common.bean.Entity
ru.bitel.common.model.AbstractTreeNode<InetServ>
ru.bitel.bgbilling.modules.inet.common.bean.InetServ

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Contractable`, `GuiTitlable`, `Idable`, `ListItem`, `Node<InetServ>`, `TreeNode<InetServ>`

public final class InetServ extends AbstractTreeNode<InetServ> implements Cloneable, TreeNode<InetServ>, Contractable

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.AbstractTreeNode

  `children, parentId`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InetServ()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InetServ`
  `clone()`
  `int`
  `getAccessCode()`
  `String`
  `getAccessCodeTitle()`
  `byte[]`
  `getAddressFrom()`
  `byte[]`
  `getAddressTo()`
  `String`
  `getComment()`
  `String`
  `getConfig()`
  `String`
  `getContractComment()`
  `int`
  `getContractId()`
  Возвращает код договора к которому привязан объект.
  `int`
  `getContractObjectId()`
  `String`
  `getContractTitle()`
  Возвращает название договора
  `String`
  `getData()`
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `byte[]`
  `getDelegatedIPv6Prefix()`
  `short`
  `getDelegatedIPv6PrefixLength()`
  `int`
  `getDelegatedIPv6PrefixResourceId()`
  `int`
  `getDelegatedIPv6PrefixResourceSubscriptionId()`
  `int`
  `getDeviceId()`
  `Set<Integer>`
  `getDeviceOptions()`
  `short`
  `getDeviceState()`
  Текущее состояние на устройстве (при условии что устройство не сбросило все настройки при перезагрузке)
  При изменении статуса сервиса выставляется в newInetServ события, но в базе не меняется - это должно случится, после того как отработает скрипт активации.
  `String`
  `getDeviceTitle()`
  `byte[]`
  `getFramedIPAddress()`
  `byte[]`
  `getFramedIPv6Address()`
  `int`
  `getFramedIPv6AddressResourceId()`
  `byte[]`
  `getFramedIPv6Prefix()`
  `short`
  `getFramedIPv6PrefixLength()`
  `int`
  `getFramedIPv6PrefixResourceId()`
  `int`
  `getFramedIPv6PrefixResourceSubscriptionId()`
  `List<String>`
  `getIdentifierList()`
  `int`
  `getInterfaceId()`
  `String`
  `getInterfaceTitle()`
  `int`
  `getIpResourceId()`
  `int`
  `getIpResourceSubscriptionId()`
  `String`
  `getLogin()`
  `List<byte[]>`
  `getMacAddressList()`
  `byte[]`
  `getMacAddressListBytes()`
  `String`
  `getPassword()`
  `int`
  `getSessionCountLimit()`
  `InetServStatus`
  `getStatus()`
  `int`
  `getSuperContractId()`
  Deprecated.
  `int`
  `getTypeId()`
  `String`
  `getTypeTitle()`
  `int`
  `getVlan()`
  `InetServ`
  `setAccessCode(int accessCode)`
  `InetServ`
  `setAccessCodeTitle(String deviceStateTitle)`
  `InetServ`
  `setAddressFrom(byte[] addressFrom)`
  `InetServ`
  `setAddressTo(byte[] addressTo)`
  `InetServ`
  `setComment(String comment)`
  `InetServ`
  `setConfig(String config)`
  `InetServ`
  `setContractComment(String contractComment)`
  `InetServ`
  `setContractId(int contractId)`
  Устанавливает код договора к которому привязан объект.
  `InetServ`
  `setContractObjectId(int contractObjectId)`
  `InetServ`
  `setContractTitle(String contractTitle)`
  Устанавливает название договора
  `InetServ`
  `setData(String data)`
  `InetServ`
  `setDateFrom(Date dateFrom)`
  `InetServ`
  `setDateTo(Date dateTo)`
  `InetServ`
  `setDelegatedIPv6Prefix(byte[] prefix)`
  `InetServ`
  `setDelegatedIPv6PrefixLength(short length)`
  `InetServ`
  `setDelegatedIPv6PrefixResourceId(int resourceId)`
  `InetServ`
  `setDelegatedIPv6PrefixResourceSubscriptionId(int subscriptionId)`
  `InetServ`
  `setDeviceId(int inetDeviceId)`
  `InetServ`
  `setDeviceOptions(Set<Integer> currentInetOptionSet)`
  `InetServ`
  `setDeviceState(short currentState)`
  Текущее состояние на устройстве (при условии что устройство не сбросило все настройки при перезагрузке)
  При изменении статуса сервиса выставляется в newInetServ события, но в базе не меняется - это должно случится, после того как отработает скрипт активации.
  `InetServ`
  `setDeviceTitle(String deviceTitle)`
  `InetServ`
  `setFramedIPAddress(byte[] address)`
  `InetServ`
  `setFramedIPv6Address(byte[] address)`
  `InetServ`
  `setFramedIPv6AddressResourceId(int resourceId)`
  `InetServ`
  `setFramedIPv6Prefix(byte[] prefix)`
  `InetServ`
  `setFramedIPv6PrefixLength(short length)`
  `InetServ`
  `setFramedIPv6PrefixResourceId(int resourceId)`
  `InetServ`
  `setFramedIPv6PrefixResourceSubscriptionId(int subscriptionId)`
  `InetServ`
  `setIdentifierList(List<String> identifierList)`
  `InetServ`
  `setInterfaceId(int portId)`
  `InetServ`
  `setInterfaceTitle(String interfaceTitle)`
  `InetServ`
  `setIpResourceId(int ipResourceId)`
  `InetServ`
  `setIpResourceSubscriptionId(int ipResourceSubscriptionId)`
  `InetServ`
  `setLogin(String login)`
  `InetServ`
  `setMacAddressList(List<byte[]> macAddress)`
  `InetServ`
  `setMacAddressListBytes(byte[] macAddressListBytes)`
  `InetServ`
  `setPassword(String password)`
  `InetServ`
  `setSessionCountLimit(int sessions)`
  `InetServ`
  `setStatus(InetServStatus status)`
  `InetServ`
  `setSuperContractId(int superContractId)`
  Deprecated.
  `InetServ`
  `setTypeId(int inetServId)`
  `InetServ`
  `setTypeTitle(String servTypeTitle)`
  `InetServ`
  `setVlan(int vlanId)`
  `String`
  `toString()`
  `static String`
  `toString(InetServ val)`

  ### Methods inherited from class ru.bitel.common.model.AbstractTreeNode

  `getChildren, getParentId, setChildren, setParentId, toList`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.Entity

  `copyTo, getEntityId, setEntityId`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `copyTo, getEntityAttributes, getEntitySpecId, setEntityAttributes, setEntitySpecId`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, setId, setTitle, to, toIdTitle`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

  ### Methods inherited from interface ru.bitel.common.model.TreeNode

  `getChildren`

- ## Constructor Details

  - ### InetServ

    public InetServ()

- ## Method Details

  - ### clone

    public InetServ clone()
    Overrides:
      `clone` in class `Object`

  - ### getAccessCode

    public int getAccessCode()

  - ### getAccessCodeTitle

    public String getAccessCodeTitle()

  - ### getAddressFrom

    public byte[] getAddressFrom()

  - ### getAddressTo

    public byte[] getAddressTo()

  - ### getComment

    public String getComment()

  - ### getConfig

    public String getConfig()

  - ### getContractComment

    public String getContractComment()

  - ### getContractId

    public int getContractId()
    Description copied from interface: `Contractable`
    Возвращает код договора к которому привязан объект.
    Specified by:
      `getContractId` in interface `Contractable`
    Returns:
      код договора

  - ### getContractObjectId

    public int getContractObjectId()

  - ### getContractTitle

    public String getContractTitle()
    Description copied from interface: `Contractable`
    Возвращает название договора
    Specified by:
      `getContractTitle` in interface `Contractable`
    Returns:
      название договора

  - ### getData

    public String getData()

  - ### getDateFrom

    public Date getDateFrom()

  - ### getDateTo

    public Date getDateTo()

  - ### getDelegatedIPv6Prefix

    public byte[] getDelegatedIPv6Prefix()

  - ### getDelegatedIPv6PrefixLength

    public short getDelegatedIPv6PrefixLength()

  - ### getDelegatedIPv6PrefixResourceId

    public int getDelegatedIPv6PrefixResourceId()

  - ### getDelegatedIPv6PrefixResourceSubscriptionId

    public int getDelegatedIPv6PrefixResourceSubscriptionId()

  - ### getDeviceId

    public int getDeviceId()

  - ### getDeviceOptions

    public Set<Integer> getDeviceOptions()

  - ### getDeviceState

    public short getDeviceState()
    Текущее состояние на устройстве (при условии что устройство не сбросило все настройки при перезагрузке)
    При изменении статуса сервиса выставляется в newInetServ события, но в базе не меняется - это должно случится, после того как отработает скрипт активации.

  - ### getDeviceTitle

    public String getDeviceTitle()

  - ### getFramedIPAddress

    public byte[] getFramedIPAddress()

  - ### getFramedIPv6Address

    public byte[] getFramedIPv6Address()

  - ### getFramedIPv6AddressResourceId

    public int getFramedIPv6AddressResourceId()

  - ### getFramedIPv6Prefix

    public byte[] getFramedIPv6Prefix()

  - ### getFramedIPv6PrefixLength

    public short getFramedIPv6PrefixLength()

  - ### getFramedIPv6PrefixResourceId

    public int getFramedIPv6PrefixResourceId()

  - ### getFramedIPv6PrefixResourceSubscriptionId

    public int getFramedIPv6PrefixResourceSubscriptionId()

  - ### getIdentifierList

    public List<String> getIdentifierList()

  - ### getInterfaceId

    public int getInterfaceId()

  - ### getInterfaceTitle

    public String getInterfaceTitle()

  - ### getIpResourceId

    public int getIpResourceId()

  - ### getIpResourceSubscriptionId

    public int getIpResourceSubscriptionId()

  - ### getLogin

    public String getLogin()

  - ### getMacAddressList

    public List<byte[]> getMacAddressList()

  - ### getMacAddressListBytes

    public byte[] getMacAddressListBytes()

  - ### getPassword

    public String getPassword()

  - ### getSessionCountLimit

    public int getSessionCountLimit()

  - ### getStatus

    public InetServStatus getStatus()

  - ### getSuperContractId

    @Deprecated public int getSuperContractId()
    Deprecated.

  - ### getTypeId

    public int getTypeId()

  - ### getTypeTitle

    public String getTypeTitle()

  - ### getVlan

    public int getVlan()

  - ### setAccessCode

    public InetServ setAccessCode(int accessCode)

  - ### setAccessCodeTitle

    public InetServ setAccessCodeTitle(String deviceStateTitle)

  - ### setAddressFrom

    public InetServ setAddressFrom(byte[] addressFrom)

  - ### setAddressTo

    public InetServ setAddressTo(byte[] addressTo)

  - ### setComment

    public InetServ setComment(String comment)

  - ### setConfig

    public InetServ setConfig(String config)

  - ### setContractComment

    public InetServ setContractComment(String contractComment)

  - ### setContractId

    public InetServ setContractId(int contractId)
    Description copied from interface: `Contractable`
    Устанавливает код договора к которому привязан объект.
    Specified by:
      `setContractId` in interface `Contractable`
    Parameters:
      `contractId` - код договора

  - ### setContractObjectId

    public InetServ setContractObjectId(int contractObjectId)

  - ### setContractTitle

    public InetServ setContractTitle(String contractTitle)
    Description copied from interface: `Contractable`
    Устанавливает название договора
    Specified by:
      `setContractTitle` in interface `Contractable`
    Parameters:
      `contractTitle` - название договора

  - ### setData

    public InetServ setData(String data)

  - ### setDateFrom

    public InetServ setDateFrom(Date dateFrom)

  - ### setDateTo

    public InetServ setDateTo(Date dateTo)

  - ### setDelegatedIPv6Prefix

    public InetServ setDelegatedIPv6Prefix(byte[] prefix)

  - ### setDelegatedIPv6PrefixLength

    public InetServ setDelegatedIPv6PrefixLength(short length)

  - ### setDelegatedIPv6PrefixResourceId

    public InetServ setDelegatedIPv6PrefixResourceId(int resourceId)

  - ### setDelegatedIPv6PrefixResourceSubscriptionId

    public InetServ setDelegatedIPv6PrefixResourceSubscriptionId(int subscriptionId)

  - ### setDeviceId

    public InetServ setDeviceId(int inetDeviceId)

  - ### setDeviceOptions

    public InetServ setDeviceOptions(Set<Integer> currentInetOptionSet)

  - ### setDeviceState

    public InetServ setDeviceState(short currentState)
    Текущее состояние на устройстве (при условии что устройство не сбросило все настройки при перезагрузке)
    При изменении статуса сервиса выставляется в newInetServ события, но в базе не меняется - это должно случится, после того как отработает скрипт активации.

  - ### setDeviceTitle

    public InetServ setDeviceTitle(String deviceTitle)

  - ### setFramedIPAddress

    public InetServ setFramedIPAddress(byte[] address)

  - ### setFramedIPv6Address

    public InetServ setFramedIPv6Address(byte[] address)

  - ### setFramedIPv6AddressResourceId

    public InetServ setFramedIPv6AddressResourceId(int resourceId)

  - ### setFramedIPv6Prefix

    public InetServ setFramedIPv6Prefix(byte[] prefix)

  - ### setFramedIPv6PrefixLength

    public InetServ setFramedIPv6PrefixLength(short length)

  - ### setFramedIPv6PrefixResourceId

    public InetServ setFramedIPv6PrefixResourceId(int resourceId)

  - ### setFramedIPv6PrefixResourceSubscriptionId

    public InetServ setFramedIPv6PrefixResourceSubscriptionId(int subscriptionId)

  - ### setIdentifierList

    public InetServ setIdentifierList(List<String> identifierList)

  - ### setInterfaceId

    public InetServ setInterfaceId(int portId)

  - ### setInterfaceTitle

    public InetServ setInterfaceTitle(String interfaceTitle)

  - ### setIpResourceId

    public InetServ setIpResourceId(int ipResourceId)

  - ### setIpResourceSubscriptionId

    public InetServ setIpResourceSubscriptionId(int ipResourceSubscriptionId)

  - ### setLogin

    public InetServ setLogin(String login)

  - ### setMacAddressList

    public InetServ setMacAddressList(List<byte[]> macAddress)

  - ### setMacAddressListBytes

    public InetServ setMacAddressListBytes(byte[] macAddressListBytes)

  - ### setPassword

    public InetServ setPassword(String password)

  - ### setSessionCountLimit

    public InetServ setSessionCountLimit(int sessions)

  - ### setStatus

    public InetServ setStatus(InetServStatus status)

  - ### setSuperContractId

    @Deprecated public InetServ setSuperContractId(int superContractId)
    Deprecated.
    Код супер договора для зависимого субдоговора, иначе - 0

  - ### setTypeId

    public InetServ setTypeId(int inetServId)

  - ### setTypeTitle

    public InetServ setTypeTitle(String servTypeTitle)

  - ### setVlan

    public InetServ setVlan(int vlanId)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `IdTitle`

  - ### toString

    public static String toString(InetServ val)